API: Content permissions endpoints¶
/class¶
GET /class:permission¶
Check if a user has permission on a class.
[] Input:
- [!] string class: class identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be class
- string code: the class identification string
- string/null id: external unique class identifier (if set for the class)
- status
- boolean permission: the user has permission on this class
- boolean rule: there is a permission rule with these parameters
POST /class:permission¶
Create new permission for a user.
[] Input:
- [!] string class: class identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be class
- string code: the class identification string
- string/null id: external unique class identifier (if set for the class)
- boolean success: operation was successful
DELETE /class:permission¶
Remove a user permission.
[] Input:
- [!] string class: class identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be class
- string code: the class identification string
- string/null id: external unique class identifier (if set for the class)
- boolean success: operation was successful
POST /class:transfer¶
Transfer class to user.
[] Input:
- [!] string class: class identification string
- [!] string user: user identification string
[] Output:
- string user: the user identification string
- content
- string type: will be class
- string code: the class identification string
- string/null id: external unique class identifier (if set for the class)
- boolean success: operation was successful
/course¶
GET /course:permission¶
Check if a user has permission on a course.
[] Input:
- [!] string course: course identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be course
- string code: the course identification string
- string/null id: external unique course identifier (if set for the course)
- status
- boolean permission: the user has permission on this course
- boolean rule: there is a permission rule with these parameters
POST /course:permission¶
Create new permission for a user.
[] Input:
- [!] string course: course identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be course
- string code: the course identification string
- string/null id: external unique course identifier (if set for the course)
- boolean success: operation was successful
DELETE /course:permission¶
Remove a user permission.
[] Input:
- [!] string course: course identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be course
- string code: the course identification string
- string/null id: external unique course identifier (if set for the course)
- boolean success: operation was successful
POST /course:transfer¶
Transfer course to user.
[] Input:
- [!] string course: course identification string
- [!] string user: user identification string
[] Output:
- string user: the user identification string
- content
- string type: will be course
- string code: the course identification string
- string/null id: external unique course identifier (if set for the course)
- boolean success: operation was successful
/event¶
GET /event:permission¶
Check if a user has permission on an event.
[] Input:
- [!] string event: event identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / finances / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be event
- string code: the event identification string
- string/null id: external unique event identifier (if set for the event)
- status
- boolean permission: the user has permission on this event
- boolean rule: there is a permission rule with these parameters
POST /event:permission¶
Create new permission for a user.
[] Input:
- [!] string event: event identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / finances / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be event
- string code: the event identification string
- string/null id: external unique event identifier (if set for the event)
- boolean success: operation was successful
DELETE /event:permission¶
Remove a user permission.
[] Input:
- [!] string event: event identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / finances / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be event
- string code: the event identification string
- string/null id: external unique event identifier (if set for the event)
- boolean success: operation was successful
POST /event:transfer¶
Transfer event to user.
[] Input:
- [!] string event: event identification string
- [!] string user: user identification string
[] Output:
- string user: the user identification string
- content
- string type: will be event
- string code: the event identification string
- string/null id: external unique event identifier (if set for the event)
- boolean success: operation was successful
/exam¶
GET /exam:permission¶
Check if a user has permission on an exam.
[] Input:
- [!] string exam: exam identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be exam
- string code: the exam identification string
- string/null id: external unique exam identifier (if set for the exam)
- status
- boolean permission: the user has permission on this exam
- boolean rule: there is a permission rule with these parameters
POST /exam:permission¶
Create new permission for a user.
[] Input:
- [!] string exam: exam identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be exam
- string code: the exam identification string
- string/null id: external unique exam identifier (if set for the exam)
- boolean success: operation was successful
DELETE /exam:permission¶
Remove a user permission.
[] Input:
- [!] string exam: exam identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be exam
- string code: the exam identification string
- string/null id: external unique exam identifier (if set for the exam)
- boolean success: operation was successful
POST /exam:transfer¶
Transfer exam to user.
[] Input:
- [!] string exam: exam identification string
- [!] string user: user identification string
[] Output:
- string user: the user identification string
- content
- string type: will be exam
- string code: the exam identification string
- string/null id: external unique exam identifier (if set for the exam)
- boolean success: operation was successful
/integration¶
GET /integration:permission¶
Check if a user has permission on an integration.
[] Input:
- [!] string integration: integration identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be integration
- string code: the integration identification string
- string/null id: external unique integration identifier (if set for the integration)
- status
- boolean permission: the user has permission on this integration
- boolean rule: there is a permission rule with these parameters
POST /integration:permission¶
Create new permission for a user.
[] Input:
- [!] string integration: integration identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be integration
- string code: the integration identification string
- string/null id: external unique integration identifier (if set for the integration)
- boolean success: operation was successful
DELETE /integration:permission¶
Remove a user permission.
[] Input:
- [!] string integration: integration identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be integration
- string code: the integration identification string
- string/null id: external unique integration identifier (if set for the integration)
- boolean success: operation was successful
POST /integration:transfer¶
Transfer integration to user.
[] Input:
- [!] string integration: integration identification string
- [!] string user: user identification string
[] Output:
- string user: the user identification string
- content
- string type: will be integration
- string code: the integration identification string
- string/null id: external unique integration identifier (if set for the integration)
- boolean success: operation was successful
/organization¶
GET /organization:permission¶
Check if a user has permission on an organization.
[] Input:
- [!] string organization: organization identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be organization
- string code: the organization identification string
- string/null id: external unique organization identifier (if set for the organization)
- status
- boolean permission: the user has permission on this organization
- boolean rule: there is a permission rule with these parameters
POST /organization:permission¶
Create new permission for a user.
[] Input:
- [!] string organization: organization identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be organization
- string code: the organization identification string
- string/null id: external unique organization identifier (if set for the organization)
- boolean success: operation was successful
DELETE /organization:permission¶
Remove a user permission.
[] Input:
- [!] string organization: organization identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be organization
- string code: the organization identification string
- string/null id: external unique organization identifier (if set for the organization)
- boolean success: operation was successful
POST /organization:transfer¶
Transfer organization to user.
[] Input:
- [!] string organization: organization identification string
- [!] string user: user identification string
[] Output:
- string user: the user identification string
- content
- string type: will be organization
- string code: the organization identification string
- string/null id: external unique organization identifier (if set for the organization)
- boolean success: operation was successful
/quiz¶
GET /quiz:permission¶
Check if a user has permission on a Quiz.
[] Input:
- [!] string quiz: Quiz identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be quiz
- string code: the Quiz identification string
- string/null id: external unique Quiz identifier (if set for the Quiz)
- status
- boolean permission: the user has permission on this Quiz
- boolean rule: there is a permission rule with these parameters
POST /quiz:permission¶
Create new permission for a user.
[] Input:
- [!] string quiz: Quiz identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be quiz
- string code: the Quiz identification string
- string/null id: external unique Quiz identifier (if set for the Quiz)
- boolean success: operation was successful
DELETE /quiz:permission¶
Remove a user permission.
[] Input:
- [!] string quiz: Quiz identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be quiz
- string code: the Quiz identification string
- string/null id: external unique Quiz identifier (if set for the Quiz)
- boolean success: operation was successful
POST /quiz:transfer¶
Transfer Quiz to user.
[] Input:
- [!] string quiz: Quiz identification string
- [!] string user: user identification string
[] Output:
- string user: the user identification string
- content
- string type: will be quiz
- string code: the Quiz identification string
- string/null id: external unique Quiz identifier (if set for the Quiz)
- boolean success: operation was successful
/scorm¶
GET /scorm:permission¶
Check if a user has permission on a SCORM learning material.
[] Input:
- [!] string scorm: SCORM identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be scorm
- string code: the SCORM identification string
- string/null id: external unique SCORM identifier (if set for the SCORM)
- status
- boolean permission: the user has permission on this SCORM learning material
- boolean rule: there is a permission rule with these parameters
POST /scorm:permission¶
Create new permission for a user.
[] Input:
- [!] string scorm: SCORM identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be scorm
- string code: the SCORM identification string
- string/null id: external unique SCORM identifier (if set for the SCORM)
- boolean success: operation was successful
DELETE /scorm:permission¶
Remove a user permission.
[] Input:
- [!] string scorm: SCORM identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be scorm
- string code: the SCORM identification string
- string/null id: external unique SCORM identifier (if set for the SCORM)
- boolean success: operation was successful
POST /scorm:transfer¶
Transfer SCORM to user.
[] Input:
- [!] string scorm: SCORM identification string
- [!] string user: user identification string
[] Output:
- string user: the user identification string
- content
- string type: will be scorm
- string code: the SCORM identification string
- string/null id: external unique SCORM identifier (if set for the SCORM)
- boolean success: operation was successful
/tag¶
GET /tag:permission¶
Check if a user has permission on a tag.
[] Input:
- [!] string tag: tag identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be tag
- string code: the tag identification string
- string/null id: external unique tag identifier (if set for the tag)
- status
- boolean permission: the user has permission on this tag
- boolean rule: there is a permission rule with these parameters
POST /tag:permission¶
Create new permission for a user.
[] Input:
- [!] string tag: tag identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be tag
- string code: the tag identification string
- string/null id: external unique tag identifier (if set for the tag)
- boolean success: operation was successful
DELETE /tag:permission¶
Remove a user permission.
[] Input:
- [!] string tag: tag identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be tag
- string code: the tag identification string
- string/null id: external unique tag identifier (if set for the tag)
- boolean success: operation was successful
POST /tag:transfer¶
Transfer tag to user.
[] Input:
- [!] string tag: tag identification string
- [!] string user: user identification string
[] Output:
- string user: the user identification string
- content
- string type: will be tag
- string code: the tag identification string
- string/null id: external unique tag identifier (if set for the tag)
- boolean success: operation was successful
/video¶
GET /video:permission¶
Check if a user has permission on a video.
[] Input:
- [!] string video: video identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be video
- string code: the video identification string
- string/null id: external unique video identifier (if set for the video)
- status
- boolean permission: the user has permission on this video
- boolean rule: there is a permission rule with these parameters
POST /video:permission¶
Create new permission for a user.
[] Input:
- [!] string video: video identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be video
- string code: the video identification string
- string/null id: external unique video identifier (if set for the video)
- boolean success: operation was successful
DELETE /video:permission¶
Remove a user permission.
[] Input:
- [!] string video: video identification string
- [!] string user: user identification string
- [!] string permission: permission level
- possible values: view / report / control / modify / grant / admin
[] Output:
- string user: the user identification string
- content
- string type: will be video
- string code: the video identification string
- string/null id: external unique video identifier (if set for the video)
- boolean success: operation was successful
POST /video:transfer¶
Transfer video to user.
[] Input:
- [!] string video: video identification string
- [!] string user: user identification string
[] Output:
- string user: the user identification string
- content
- string type: will be video
- string code: the video identification string
- string/null id: external unique video identifier (if set for the video)
- boolean success: operation was successful